function [a, b, conf, xx, yy, ww] = atinst(starts, ends, severities, time, tau)

ss = [];
ww = [];

% Identify all occurred events
for jj = 1:length(starts)
  if time >= starts(jj)
    ss = [ss severities(jj)];
    if time >= max(ends(jj), starts(jj))
      ww = [ww exp(-(time - max(ends(jj), starts(jj))) / tau)];
    else
      ww = [ww 1];
    end
  end
end

xx = zeros(length(ss), 2);
yy = zeros(1, length(ss));

% Calculate effective incidence at each severity
for jj = 1:length(ss)
  yy(ss <= ss(jj)) = yy(ss <= ss(jj)) + ww(jj);
end
yy = log(yy);
xx = [ones(length(ss), 1) -log(ss')];

pp = lsweight(xx, yy, ww);
% pp(2) is -alpha (positive)
% Scale is exp(pp(1)) / tau, because total effect of each event is
% tau greater (integral of decaying exp).  This value then
% represents C / (powerlaw_alpha - 1), because of cummulative method.
% Method gives -alpha = 1 - (-powerlaw_alpha)
b = pp(2) - 1; % -powerlaw_alpha
a = (exp(pp(1)) / tau) * (-pp(2) - 1);
conf = sum(ww) / length(starts);